## rfcat 2.0.1

=== requirements.txt ===
pyusb
future
ipython
pyserial
numpy

=== firmware/Makefile ===
# set BOOTLOADER_SIZE to match your bootloader
#
BOOTLOADER_SIZE = 0x1400
LDFLAGS_FLASH = --code-loc $(BOOTLOADER_SIZE)
USB_DEVICE_SERIAL_NUMBER="`./new_serial.py`"

CC=sdcc
RFLIB_VERSION=`../revision.sh`
CFLAGS=-Iinclude -DBUILD_VERSION=$(RFLIB_VERSION)
CFLAGSold=--no-pack-iram $(CF)
LFLAGS=--xram-loc 0xF000 

apps2531 = global.rel
apps1111 = cc1111rf.rel global.rel cc1111_aes.rel
appsimme  = $(apps1111) immeio.rel immekeys.rel immefont.rel chipcon_dma.rel  #  immedisplay.rel immeterm.rel

libsvcom = cc1111_vcom.rel cc1111_vcomdesc.rel chipcon_usbdebug.rel chipcon_dma.rel #chipcon_usb.rel
libsusb  = chipcon_usb.rel chipcon_usbdebug.rel chipcon_dma.rel bootloader.rel
libsimme = 
libsidongle  = $(libsimme) immeusb.rel immeusbdebug.rel chipcon_dma.rel


all: 	RfCatChronos RfCatChronosCCBootloader RfCatDons RfCatDonsCCBootloader RfCatYS1 RfCatYS1CCBootloader RfCatSRF RfCatSRFCCBootloader
	make clean immeSniff

donfw: 	RfCatDons
immefw: immeSniff
testrecv: testrecvapplication.hex
testxmit: testxmitapplication.hex
ys1fw: RfCatYS1


# helper targets 
chipcon_usb.rel: chipcon_usb.c include/*.h
	#./new_serial.py
	$(CC) $(CFLAGS) $(DEFINES)  -DUSB_DEVICE_SERIAL_NUMBER=$(USB_DEVICE_SERIAL_NUMBER) -c chipcon_usb.c

%.rel: %.c include/*.h
	$(CC) $(CFLAGS) $(DEFINES) -c $<

# firmware build targets

## primary RfCat build targets ##
RfCatChronos: 				clean RfCatChronos.hex
RfCatChronosCCBootloader: 	clean RfCatChronosCCBootloader.hex
RfCatDons: 					clean RfCatDons.hex
RfCatDonsCCBootloader: 		clean RfCatDonsCCBootloader.hex
RfCatDons24: 				clean RfCatDons24.hex
RfCatDons24CCBootloader: 	clean RfCatDons24CCBootloader.hex
RfCatYS1: 					clean RfCatYS1.hex
RfCatYS1CCBootloader: 		clean RfCatYS1CCBootloader.hex
RfCatSRF: 			clean RfCatSRF.hex
RfCatSRFCCBootloader:		clean RfCatSRFCCBootloader.hex
immeSniff: 					clean immeSniff.hex

RfCatChronos.hex: DEFINES = -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
RfCatChronos.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatChronos.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatChronos.hex

RfCatChronosCCBootloader.hex: DEFINES = -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE -DBOOTLOADER_SIZE=$(BOOTLOADER_SIZE)
RfCatChronosCCBootloader.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatChronosCCBootloader.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatChronosCCBootloader.hex

RfCatDons.hex: DEFINES = -DDONSDONGLES -DCC1111 -DUSBDEVICE -DBOOTLOADER_SIZE=$(BOOTLOADER_SIZE)
RfCatDons.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatDons.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatDons.hex

RfCatDonsCCBootloader.hex: DEFINES = -DDONSDONGLES -DCC1111 -DUSBDEVICE      
RfCatDonsCCBootloader.hex: appFHSSNIC.c $(libsusb) $(apps1111)
	@printf "\n\n==RfCatDonsCCBootloader.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatDonsCCBootloader.hex

RfCatDons24.hex: DEFINES = -DDONSDONGLES -DCC2511 -DUSBDEVICE -DBOOTLOADER_SIZE=$(BOOTLOADER_SIZE)
RfCatDons24.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatDons24.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatDons24.hex

RfCatDons24CCBootloader.hex: DEFINES = -DDONSDONGLES -DCC2511 -DUSBDEVICE
RfCatDons24CCBootloader.hex: appFHSSNIC.c $(libsusb) $(apps1111)
	@printf "\n\n==RfCatDons24CCBootloader.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatDons24CCBootloader.hex

RfCatYS1.hex: DEFINES = -DYARDSTICKONE -DCC1111 -DUSBDEVICE
RfCatYS1.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatYS1.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatYS1.hex

RfCatYS1CCBootloader.hex: DEFINES = -DYARDSTICKONE -DCC1111 -DUSBDEVICE
RfCatYS1CCBootloader.hex: appFHSSNIC.c $(libsusb) $(apps1111)
	@printf "\n\n==RfCatYS1CCBootloader.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatYS1CCBootloader.hex

RfCatSRF.hex: DEFINES = -DSRFSTICK -DCC1111 -DUSBDEVICE -DBOOTLOADER_SIZE=$(BOOTLOADER_SIZE)
RfCatSRF.hex: $(libsusb) $(apps1111)
	@printf "\n\n==RfCatSRF.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatSRF.hex

RfCatSRFCCBootloader.hex: DEFINES = -DSRFSTICK -DCC1111 -DUSBDEVICE
RfCatSRFCCBootloader.hex: appFHSSNIC.c $(libsusb) $(apps1111)
	@printf "\n\n==RfCatSRFCCBootloader.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/RfCatSRFCCBootloader.hex

immeSniff.hex: DEFINES = -DIMME
immeSniff.hex: $(libsimme) $(appsimme)
	@printf "\n\n==immeSniff.hex building==\n", $(DEFINES)
	sdcc $(CFLAGS) $(LFLAGS) appSniff.c $(libsimme) $(appsimme) $(DEFINES)
	packihx <appSniff.ihx >bins/immeSniff.hex


## vanilla build targets ##
chronosapplication.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
chronosapplication.hex: $(libsusb) $(apps1111)
	@printf "\n\n==chronosapplication.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) application.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <application.ihx >bins/application.hex

donsapplication.hex: DEFINES= -DDONSDONGLES -DCC1111 -DUSBDEVICE
donsapplication.hex: $(libsusb) $(apps1111)
	@printf "\n\n==donsapplication.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) application.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <application.ihx >bins/application.hex

ys1application.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DUSBDEVICE
ys1application.hex: $(libsusb) $(apps1111)
	@printf "\n\n==ys1application.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) application.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <application.ihx >bins/application.hex


## legacy and test / play build targets ##
chronosFHSS.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
chronosFHSS.hex: $(libsusb) $(apps1111)
	@printf "\n\n==chronosFHSS.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/chronosFHSS.hex

donsFHSS.hex: DEFINES= -DDONSDONGLES -DCC1111 -DUSBDEVICE
donsFHSS.hex: $(libsusb) $(apps1111)
	@printf "\n\n==donsFHSS.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/donsFHSS.hex

ys1FHSS.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DUSBDEVICE
ys1FHSS.hex: $(libsusb) $(apps1111)
	@printf "\n\n==ys1FHSS.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appFHSSNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appFHSSNIC.ihx >bins/ys1FHSS.hex

chronosSniff.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
chronosSniff.hex: $(libsusb) $(apps1111)
	@printf "\n\n==chronosFHSS.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appSniff.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appSniff.ihx >bins/chronosSniff.hex

donsSniff.hex: DEFINES= -DDONSDONGLES -DCC1111 -DUSBDEVICE
donsSniff.hex: $(libsusb) $(apps1111)
	@printf "\n\n==donsSniff.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appSniff.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appSniff.ihx >bins/donsSniff.hex

ys1Sniff.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DUSBDEVICE
ys1Sniff.hex: $(libsusb) $(apps1111)
	@printf "\n\n==ys1Sniff.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appSniff.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appSniff.ihx >bins/ys1Sniff.hex

chronosNIC.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
chronosNIC.hex: appNIC.c $(libsusb) $(apps1111)
	@printf "\n\n==chronosNIC.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNIC.ihx >bins/chronosNIC.hex

donsNIC.hex: DEFINES= -DDONSDONGLES -DCC1111 -DUSBDEVICE
donsNIC.hex: $(libsusb) $(apps1111)
	@printf "\n\n==donsNIC.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNIC.ihx >bins/donsNIC.hex

ys1NIC.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DUSBDEVICE
ys1NIC.hex: $(libsusb) $(apps1111)
	@printf "\n\n==ys1NIC.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNIC.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNIC.ihx >bins/ys1NIC.hex

immeGame1.hex: DEFINES= -DIMME
immeGame1.hex: $(libsimme) $(appsimme)
	@printf "\n\n==immeGame1.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) imme-blackhat-game1.c $(libsiimme) $(appsimme) $(DEFINES)
	packihx <imme-blackhat-game1.ihx >bins/immeGame1.hex

immeGame2.hex: DEFINES= -DIMME
immeGame2.hex: $(libsimme) $(appsimme)
	@printf "\n\n==immeGame2.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) imme-blackhat-game2.c $(libsiimme) $(appsimme) $(DEFINES)
	packihx <imme-blackhat-game2.ihx >bins/immeGame2.hex

cc2531.hex: DEFINES=-DCC2531 -DUSBDEVICE
cc2531.hex: $(libsusb) $(apps2531)
	@printf "\n\n==cc2531.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appCC2531.c $(libsusb) $(apps2531) $(DEFINES)
	packihx <appCC2531.ihx >bins/appCC2531.hex

chronostestusbonly.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DUSBDEVICE
chronostestusbonly.hex: usbonly.c chipcon_usb.rel global.rel
	@printf "\n\n==chronosstestusbonly.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) usbonly.c chipcon_usb.rel global.rel $(DEFINES)
	packihx <usbonly.ihx >bins/usbonly.hex

donstestusbonly.hex: DEFINES= -DDONSDONGLES -DCC1111 -DUSBDEVICE
donstestusbonly.hex: usbonly.c chipcon_usb.rel global.rel
	@printf "\n\n==donstestusbonly.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) usbonly.c chipcon_usb.rel global.rel $(DEFINES)
	packihx <usbonly.ihx >bins/usbonly.hex

ys1testusbonly.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DUSBDEVICE
ys1testusbonly.hex: usbonly.c chipcon_usb.rel global.rel
	@printf "\n\n==ys1testusbonly.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) usbonly.c chipcon_usb.rel global.rel $(DEFINES)
	packihx <usbonly.ihx >bins/usbonly.hex

#	may be helpful when we actually have one...
#immedongleapplication.hex: DEFINES=  -DIMMEDONGLE -DIMME
#immedongleapplication.hex: application.c $(libsusb)
#	sdcc $(CFLAGS) $(LFLAGS) application.c $(libsusb) $(DEFINES)
#	packihx <application.ihx >bins/application.hex
#
chronostestxmitusb.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DTRANSMIT_TEST  -DUSBDEVICE
chronostestxmitusb.hex: $(libsusb) $(apps1111)
	@printf "\n\n==chronostestxmitusb.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNetworkTest.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNetworkTest.ihx >bins/testxmit.hex

donstestxmitusb.hex: DEFINES= -DDONSDONGLES -DCC1111 -DTRANSMIT_TEST  -DUSBDEVICE
donstestxmitusb.hex: appNetworkTest.c $(libsusb) $(apps1111)
	@printf "\n\n==donstestxmitusb.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNetworkTest.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNetworkTest.ihx >bins/testxmit.hex

ys1testxmitusb.hex: DEFINES= -DYARDSTICKONE -DCC1111 -DTRANSMIT_TEST  -DUSBDEVICE
ys1testxmitusb.hex: appNetworkTest.c $(libsusb) $(apps1111)
	@printf "\n\n==ys1testxmitusb.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appNetworkTest.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appNetworkTest.ihx >bins/testxmit.hex

chronostest.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DRECEIVE_TEST -DUSBDEVICE
chronostest.hex: appTest.c $(libsusb) $(apps1111)
	@printf "\n\n==chronostest.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) appTest.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appTest.ihx >bins/test.hex

chronostestCC.hex: DEFINES= -DCHRONOSDONGLE -DCC1111 -DRECEIVE_TEST -DUSBDEVICE -DBOOTLOADER_SIZE=$(BOOTLOADER_SIZE)
chronostestCC.hex: appTest.c $(libsusb) $(apps1111)
	@printf "\n\n==chronostest.hex building==\n"
	sdcc $(CFLAGS) $(LFLAGS) $(LDFLAGS_FLASH) appTest.c $(libsusb) $(apps1111) $(DEFINES)
	packihx <appTest.ihx >bins/test.hex

=== debian/changelog ===
rfcat (1:2.0.1-0kali3) kali-dev; urgency=medium

  [ X0RW3LL ]
  * Fix Python 3.12 Syntax Warnings (use raw strings)

  [ Sophie Brun ]
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 16:30:13 +0200

rfcat (1:2.0.1-0kali2) kali-dev; urgency=medium

  * Remove usage of python3-future

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jan 2024 13:58:10 +0100

rfcat (1:2.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Aug 2023 10:23:00 +0200

rfcat (1:2.0.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 2.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 May 2023 11:23:38 +0200

rfcat (1:1.9.7-0kali1) kali-dev; urgency=medium

  * New upstream version 1.9.7

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Dec 2022 11:54:38 +0100

rfcat (1:1.9.6-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ben Wilson ]
  * Update email address
  * Consistency with tabs to spaces

  [ Sophie Brun ]
  * New upstream version 1.9.6
  * Refresh patches
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change)
  * Remove unknown field "Description" from debian/upstream/metadata
  * Add manpage rfcat

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Aug 2022 15:35:31 +0200

rfcat (1:1.9.5-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Description.

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 1.9.5
  * Remove useless patch
  * Bump Standards-Version to 4.5.1
  * Add an epoch 1: because upstream changed the versioning scheme
  * Add missing build-dep python3-setuptools

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 May 2021 17:23:00 +0200

rfcat (190423-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Use https for Vcs-Browser URL
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 190423
  * Remove obsolete patch
  * Add a patch to Python 3
  * Fix doc installation
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jan 2020 09:31:47 +0100

rfcat (170508-0kali3) kali-dev; urgency=medium

  * Misc packaging updates (fix Maintainer & Priority, update debhelper compat)
  * Switch to pyside2 instead of pyside
  * Drop libusb dependency, python-usb has it for us already
  * Update Homepage and watch file to ensure we track new releases
    from the proper location.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 31 Jan 2019 16:01:54 +0100

rfcat (170508-0kali2) kali-dev; urgency=medium

  * Fix autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 May 2017 14:49:15 +0200

rfcat (170508-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add a basic autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 May 2017 11:57:40 +0200

rfcat (161011-0kali2) kali-dev; urgency=medium

  * Fix debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Feb 2017 15:04:55 +0100

rfcat (161011-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Oct 2016 14:15:58 +0200

rfcat (150225-0kali1) kali-dev; urgency=low

  [ Mati Aharoni ]
  * Updated watch file

  [ Sophie Brun ]
  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jul 2015 12:04:22 +0200

rfcat (130515-0kali1) kali; urgency=low

  * Initial release.

 -- Mati Aharoni <muts@kali.org>  Wed, 12 Jun 2013 09:21:25 -0400

=== debian/control ===
Source: rfcat
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               python3-usb
Standards-Version: 4.6.2
Homepage: https://github.com/atlas0fd00m/rfcat
Vcs-Git: https://gitlab.com/kalilinux/packages/rfcat.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rfcat

Package: rfcat
Architecture: any
Depends: ipython3,
         python3-numpy,
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtwidgets,
         python3-serial,
         python3-usb,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: metasploit-framework
Description: Swiss army knife of sub-GHz radio
 Rfcat is a sub GHz analysis tool. The goals of the project are to reduce the
 time for security researchers to create needed tools for analyzing unknown
 targets, to aid in reverse-engineering of hardware.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE_python3.8=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: rfcat -h && rfcat_msfrelay -h

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/atlas0fd00m/rfcat/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
